Skip to content

Archive a cycle ​

POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/cycles/{cycle_id}/archive/

Archive a completed cycle to keep it for historical reference. Only cycles that have ended can be archived.

Path parameters ​

cycle_id:requiredstring

The unique identifier of the cycle.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Scopes ​

projects.cycles:write

Archive a cycle
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/cycles/cycle-uuid/archive/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response204

No response body.